package _VisualDVM.GlobalData.CompilerOption.UI;
import Common.MainModule_;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.Tables.DBObjectRenderer;
import _VisualDVM.GlobalData.CompilerOption.CompilerOption;
public class CompilerOptionParameterValueRenderer extends DBObjectRenderer {
    @Override
    public void Display() {
        if (value != null) {
            CompilerOption option = (CompilerOption) value;
            if (option.hasParameter()) {
                setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.Hyperlink));
                setText(option.parameterValue.isEmpty() ? "не задано" : option.parameterValue);
            } else {
                setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.UnknownState));
                setText("нет");
            }
        }
    }
}
